ClosureToMapPopulator (Grails 6.0.0)

Package: grails.util

## [Java] Class ClosureToMapPopulator

- grails.util.ClosureToMapPopulator

-     @java.lang.SuppressWarnings({"unchecked","rawtypes"})
      public class ClosureToMapPopulator
      extends groovy.lang.GroovyObjectSupport

  A simple class that takes method invocations and property setters and populates the arguments of these into the supplied map ignoring null values.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map` | `map` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureToMapPopulator (java.util.Map theMap)`
    `ClosureToMapPopulator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object o)`
    `` | `public java.util.Map` | `populate(groovy.lang.Closure callable)`
    `` | `public void` | `setProperty(java.lang.String name, java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll(), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object)`

- - ### Field Detail

    - #### private java.util.Map map

  - ### Constructor Detail

    - #### public ClosureToMapPopulator(java.util.Map theMap)

    - #### public ClosureToMapPopulator()

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object o)

    - #### public java.util.Map populate(groovy.lang.Closure callable)

    - #### @java.lang.Override public void setProperty(java.lang.String name, java.lang.Object o)